# -*- coding: cp1250 -*-
from kivy.app import App
from kivy.lang import Builder
from kivy.uix.widget import Widget
from kivy.uix.boxlayout import BoxLayout
from kivy.properties import StringProperty

from kivy.graphics import Rectangle, Color

Builder.load_string("""
<MyBoxLayout>:
    orientation: "vertical"
    BoxLayout:
        orientation: "horizontal"
        size_hint_y: .2
        Label:
            text: "Informace o kostkch"
            font_size: 30
            bold: True
        Label:
            text: root.get_text()
    BoxLayout:
        padding: 10
        orientation: "vertical"
        Label:
            text: "Budova ze zhora"
            bold: True
            size_hint_y: .1
        MyWidget:
            center: root.center
            canvas.before:
                Color:
                    rgba: .2, .2, .2, 1
                Rectangle:
                    
                    pos: self.pos
                    size: self.size

""")
class Data:                                                     # data o cihlch
    soubor = file("C://Z02/in.txt").read()
    soubor = soubor.split("\n")

    rozmery = [int(cislo) for cislo in soubor[0].split(" ")[:2]] + [max(int(patro[0]) for patro in soubor[1:])]
        
    cihly = soubor[1:]
    for cihla in range(len(cihly)):
        cihly[cihla] = cihly[cihla].split(" ")
        for i in range(3):
            cihly[cihla][i] = int(cihly[cihla][i])

        cihly[cihla][-1] = [int(rozmer) for rozmer in cihly[cihla][-1].split("x")]
            
        """budova = [[[" "]*rozmery[1] for a in range(self.rozmery[0])] for i in range(self.rozmery[2])]"""
        
class MyBoxLayout(BoxLayout):
    def get_text(self):                                         # vygenerovn informanho textu
        barvy = [[u"azurov", "0"], [u"erven", "0"], [u"zelen", "0"], [u"modr", "0"], [u"lut", "0"]]
        kody = {"A":0, "R":1, "G":2, "B":3, "Y":4}
        for i in Data.cihly:
            
            barvy[kody[i[3]]][1] = str(int(barvy[kody[i[3]]][1]) + 1)
        return u"Poet: %d\nBarvy: %s" % (len(Data.cihly), "; ".join([" - ".join(a) for a in barvy]))
                      
class MyWidget(Widget):
    def __init__(self, **kwargs):
        super(MyWidget, self).__init__(**kwargs)
        self.velikost = 40

        for i in Data.cihly:                                    # vykreslovn budovy ze zhora
            with self.canvas:
                if i[3] == "A": Color(0, 1, 1)
                elif i[3] == "R": Color(1, 0, 0)
                elif i[3] == "G": Color(0, 1, 0)
                elif i[3] == "B": Color(0, 0, 1)
                elif i[3] == "Y": Color(1, 1, 0)
                Rectangle(pos=(i[1]*self.velikost, i[2]*self.velikost), size=(i[4][0]*self.velikost, i[4][1]*self.velikost))
            
        

class MyApp(App):
    def build(self):
        self.title = u"Budova z Lega"
        return MyBoxLayout()

if __name__ == "__main__":
    MyApp().run()
